RAUL 0.8.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions
Raul::TimeUnit Class Reference
Realtime Audio Utility Library

A type of time stamp. More...

`#include <TimeStamp.hpp>`

List of all members.

## Public Types

enum | Type { FRAMES, BEATS, SECONDS }

## Public Member Functions

| TimeUnit (Type type, uint32_t ppt)
| ppt (parts per tick) is the sample rate for FRAMES, PPQN for BEATS, and ignored for SECONDS.
Type | type () const
uint32_t | ppt () const
bool | operator== (const TimeUnit &rhs) const
bool | operator!= (const TimeUnit &rhs) const

## Static Public Member Functions

static TimeUnit | frames (uint32_t srate)
static TimeUnit | beats (uint32_t ppqn)
static TimeUnit | seconds ()

## Detailed Description

A type of time stamp.

The documentation for this class was generated from the following file:

- TimeStamp.hpp